#include <stdlib.h>

#include "clientapi.h"

#include "globals.h"
#include "clientgremlin.h"

#include "clientgremlinpending.h"

ClientGremlinPending::ClientGremlinPending( ClientApi* client )
: ClientGremlin( client, "changes" )
{
	arg1.Set( "-s" );
	arg2.Set( "pending" );
}

void ClientGremlinPending::OutputInfo( char level, const_char* data )
{
	StrRef search = StrRef( data );
	if ( !search.Contains( client->GetClient() ) ) return;

	char* ptr = data + 7;
	StrBuf chng;
	for ( ; *ptr != ' ' ; ptr++ ) chng.Append( ptr, 1 );
	changes.VSetVar( StrNum( changes.GetCount() ), chng );
}